# GoogleChartAxisCollection Class Reference

List of all members.

## Public Member Functions

| addAxis (GoogleChartAxis $axis)
| getAxisByTypeId ($typeId)
| toString ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $axes = array()

## Detailed Description

Definition at line 15 of file GoogleChartAxisCollection.class.php.

## Member Function Documentation

GoogleChartAxisCollection::addAxis | ( | GoogleChartAxis $ | axis | ) |

Returns:
  GoogleChartAxisCollection

Definition at line 30 of file GoogleChartAxisCollection.class.php.

References GoogleChartAxis::getType().

Here is the call graph for this function:

static GoogleChartAxisCollection::create | ( |  | ) | `[static]`

Returns:
  GoogleChartAxisCollection

Definition at line 22 of file GoogleChartAxisCollection.class.php.

GoogleChartAxisCollection::getAxisByTypeId | ( | $ | typeId | ) |

Returns:
  GoogleChartAxis

Definition at line 45 of file GoogleChartAxisCollection.class.php.

GoogleChartAxisCollection::toString | ( |  | ) |

Definition at line 53 of file GoogleChartAxisCollection.class.php.

References GoogleChartDataRange::getParamName(), and GoogleChartAxisType::getParamName().

Here is the call graph for this function:

## Member Data Documentation

GoogleChartAxisCollection::$axes = array()`[private]`

Definition at line 17 of file GoogleChartAxisCollection.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartAxisCollection.class.php